DbTxnStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbTxnStat,DbTxnStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbTxnStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbTxnStat

public class DbTxnStat
extends Object

The DbTxnStat object is used to return transaction subsystem statistics.

Nested Class Summary
`static class` | `DbTxnStat.Active`

Field Summary
`DbLsn` | `st_last_ckp` The LSN of the last checkpoint.
`int` | `st_last_txnid` The last transaction ID allocated.
`int` | `st_maxnactive` The maximum number of active transactions at any one time.
`int` | `st_maxtxns` The maximum number of active transactions configured.
`int` | `st_naborts` The number of transactions that have aborted.
`int` | `st_nactive` The number of transactions that are currently active.
`int` | `st_nbegins` The number of transactions that have begun.
`int` | `st_ncommits` The number of transactions that have committed.
`int` | `st_nrestores` The number of transactions that have been restored.
`int` | `st_region_nowait` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` | `st_region_wait` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` | `st_regsize` The size of the region.
`long` | `st_time_ckp` The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time function).
`DbTxnStat.Active[]` | `st_txnarray`

Constructor Summary
`DbTxnStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_last_ckp

    public DbLsn st_last_ckp

  The LSN of the last checkpoint.

### st_time_ckp

    public long st_time_ckp

  The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time function).

### st_last_txnid

    public int st_last_txnid

  The last transaction ID allocated.

### st_maxtxns

    public int st_maxtxns

  The maximum number of active transactions configured.

### st_naborts

    public int st_naborts

  The number of transactions that have aborted.

### st_nbegins

    public int st_nbegins

  The number of transactions that have begun.

### st_ncommits

    public int st_ncommits

  The number of transactions that have committed.

### st_nactive

    public int st_nactive

  The number of transactions that are currently active.

### st_nrestores

    public int st_nrestores

  The number of transactions that have been restored.

### st_maxnactive

    public int st_maxnactive

  The maximum number of active transactions at any one time.

### st_txnarray

    public DbTxnStat.Active[] st_txnarray

### st_region_wait

    public int st_region_wait

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### st_region_nowait

    public int st_region_nowait

  The number of times that a thread of control was able to obtain the region lock without waiting.

### st_regsize

    public int st_regsize

  The size of the region.

Constructor Detail

### DbTxnStat

    public DbTxnStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.